local addonName, L = ...;

L["FONTSTYLE"] = [[Fonts\FRIZQT__.TTF]];

L["ADDON_LOADED_MESSAGE"] = "ArenaLive [Spectator] version 2.0 by Vadrak has been loaded successfully! Move your mouse over the components of the scoreboard to get set up information.";

L["ADDON_PANEL_NAME"] = "ArenaLive [Spectator]";
L["ADDON_PANEL_TITLE"] = "ArenaLive [Spectator] Menu:";
L["UNIT_FRAME_PANEL_NAME"] = "Unit Frames";
L["UNIT_FRAME_PANEL_TITLE"] = "ArenaLive [Spectator] Unit Frames Menu:";
L["NAME_ALIAS_PANEL_NAME"] = "Name Aliases";
L["NAME_ALIAS_PANEL_TITLE"] = "ArenaLive [Spectator] Name Alias Menu:";
L["TEAM_CACHE_PANEL_NAME"] = "Team Cache";
L["TEAM_CACHE_PANEL_TITLE"] = "ArenaLive [Spectator] Team Cache Menu:";

L["BINDING_ARENALIVESPECTATOR_TITLE"] = "Arena Live [Spectator]:"
L["BINDING_ARENALIVESPECTATOR_TOGGLE"] = "Toggle Spectator Mode/Config Mode";
L["ARENALIVESPECTATOR_TOGGLE_PLAYER"] = "Toggle Show Player";
L["BINDING_ARENALIVESPECTATOR_TOGGLE_COUNTDOWN"] = "Toggle Countdown/Match Timer and switch to Spectator Mode";

L["MAIN_SETTINGS_TITLE"] = "Main Settings:";
L["COUNTDOWN_SETTINGS_TITLE"] = "Countdown Settings:";
L["SCOREBOARD_SETTINGS_TITLE"] = "Scoreboard Settings:";

L["SCALE_SLIDER_TITLE"] = "UI Scale (%):";

L["GAMEMODE_DROPDOWN_TITLE"] = "Game Mode:";
L["GAMEMODE_DROPDOWN_1V1_TEXT"] = "1v1";
L["GAMEMODE_DROPDOWN_2V2_TEXT"] = "2v2";
L["GAMEMODE_DROPDOWN_3V3_TEXT"] = "3v3";

L["DISABLE_JOIN_QUEUE_BUTTON_TITLE"] = [[Disable "Enter Match" button for Wargames until the gates have opened]];

L["COUNTDOWN_BROADCAST_CHECKBUTTON_TEXT"] = "Broadcast Countdown"
L["COUNTDOWN_BROADCAST_TO_CAHNNEL_DROPDOWN_TITLE"] = "Broadcast to Channel:";
L["COUNTDOWN_TIME_DROPDOWN_TITLE"] = "Countdown Time:";
L["COUNTDOWN_TIME_DROPDOWN_TEXT"] = "%d Seconds";
L["COUNTDOWN_BROADCAST_STRING"] = "*** MATCH STARTS IN %d SECONDS. ***";
L["COUNTDOWN_BROADCAST_SINGLE_SECOND_STRING"] = "*** MATCH STARTS IN %d SECOND. ***";
L["COUNTDOWN_BROADCAST_FINISH_STRING"] = "*** MATCH STARTING NOW! ***";
L["COUNTDOWN_BROADCAST_CANCELED"] = "*** COUNTDOWN WAS CANCELED BY THE PLAYER! ***";

L["SCOREBOARD_SHOW_CHECKBUTTON_TEXT"] = "Show scoreboard during match";
L["SCOREBOARD_TOURNAMENT_ICON_EDITBOX_TEXT"] = "Tournament Icon Path:";
L["SCOREBOARD_CONFIG_MODE_TEXT"] = "CONFIG MODE";
L["SCOREBOARD_TIME_FRAME_TEXT"] = "%s:%s";
L["SCOREBOARD_TIME_LIMIT_REACHED"] = "*** TIME LIMIT REACHED: THE MATCH IS OVER! ***";
L["SCOREBOARD_TIME_CANCELED"] = "*** MATCH TIMER WAS CANCELED BY THE PLAYER! ***";
L["SCOREBOARD_TEAMNAME_TOOLTIP_TITLE"] = "Team Name:";
L["SCOREBOARD_TEAMNAME_TOOLTIP"] = "Left Click:\n   During Config Mode: Open the team's menu.\n   During Spectator Mode: Raise team score by 1.\nRight Click:\n   During Config Mode: Reset team score to 0.\n   During SpectatorMode: Reduce team score by 1.";
L["SCOREBOARD_TIMEFRAME_TOOLTIP_TITLE"] = "Time Frame:";
L["SCOREBOARD_TIMEFRAME_TOOLTIP"] = "Left Click:\n   During Config Mode: Open the addon's menu.\n   During Spectator Mode: Toggle countdown and match timer.\nRight Click:\n   Switch between config and spectator mode.";

L["TIMELIMIT_TITLE"] = "Time Limit:";
L["TIMELIMIT_DROPDOWN_MINUTES_TITLE"] = "Min:";
L["TIMELIMIT_DROPDOWN_SECONDS_TITLE"] = "Sec:";

L["CANNOT_SHOW_OR_HIDE_UI_COMBATLOCKDOWN"] = "Cannot show/hide the UI due to combat lockdown. Please wait until you get out of combat and try again.";

L["TEAM_MENU_TITLE"] = "%s Team's Menu:";
L["TEAM_MENU_MEMBER_DROPDOWN_TITLE"] = "%d. Team Member:";
L["TEAM_MENU_MEMBER_DROPDOWN_EMPTY_TEXT"] = "Choose a Player";
L["TEAM_MENU_MEMBER_DROPDOWN_ENTER_NAME"] = "Enter a Name";
L["TEAM_MENU_MEMBER_POPUP_ENTER_NAME"] = [[You can enter the name of a player that is part of this team. The format needs to be: "Player-Realm"]];
L["TEAM_MENU_MEMBER_DROPDOWN_RESET"] = "None";
L["TEAM_MENU_TEAM_NAME_TITLE"] = "Team Name:";
L["TEAM_MENU_TEAM_TAG_TITLE"] = "Team Tag:";
L["TEAM_MENU_TEAM_ICON_TITLE"] = "Team Icon Path:";
L["TEAM_MENU_SAVE_TEAM_BUTTON"] = "Add Team to Cache";
L["TEAM_MENU_ERROR_NO_CURRENT_TEAM"] = "Cannot open team menu, because no team side was specified!";


L["TEAM_CACHE_DROPDOWN_TITLE"] = "Load Team from Cache:";
L["TEAM_CACHE_DELETE_DROPDOWN_TITLE"] = "Delete Team from Cache:";
L["TEAM_CACHE_DROPDOWN_DEFAULT_TEXT"] = "Select a Team";
L["TEAM_CACHE_RESET_BUTTON_TEXT"] = "Reset Team Cache";
L["TEAM_CACHE_CONFIRM_UPDATE_POPUP_TEXT"] = [[A team with the name "%s" already exists. Do you wish to update it to the current settings?]];
L["TEAM_CACHE_UPDATE_ERROR_NO_TEAM_WITH_THAT_NAME"] = [[Cannot update Team "%s", because no team with that name is currently in the team cache!]];
L["TEAM_CACHE_SET_ERROR_NO_TEAM_SIDE_GIVEN"] = "Cannot set team, because no team was defined!";
L["TEAM_CACHE_GET_ERROR_NO_TEAM_NAME_GIVEN"] = "Cannot get team information, because no team was defined!";
L["TEAM_CACHE_GET_ERROR_TEAM_DOESNT_EXIST"] = [[Cannot get team information, because no team named "%s" exists!]];
L["TEAM_CACHE_DELETE_ERROR_NO_TEAM_NAME_GIVEN"] = "Cannot delete team, because no team was defined!";
L["TEAM_CACHE_DELETE_ERROR_TEAM_DOESNT_EXIST"] = [[Cannot delete team, because no team named "%s" exists!]];
L["TEAM_CACHE_RESET"] = "Reset Team Cache";
L["TEAM_CACHE_IMPORT_BUTTON_TEXT"] = "Import Team Cache";
L["TEAM_CACHE_EXPORT_BUTTON_TEXT"] = "Export Team Cache";

L["UNIT_FRAME_LEFT_ICON"] = "Left Icon:";
L["UNIT_FRAME_RIGHT_ICON"] = "Right Icon:";
L["UNIT_FRAME_SIDE_FRAMES_TITLE"] = "Side Frames:";
L["UNIT_FRAME_TARGET_FRAMES_TITLE"] = "Target Frames:";
L["CLOSE"] = "Close";

L["NAME_ALIAS_MENU_PLAYER_DROPDOWN_TITLE"] = "Available Players:";
L["NAME_ALIAS_MENU_ALIAS_DROPDOWN_TITLE"] = "Existing Aliases:";
L["NAME_ALIAS_MENU_NAME_EDITBOX_TITLE"] = "Player Name (Name-Realm):";
L["NAME_ALIAS_MENU_ALIAS_EDITBOX_TITLE"] = "Displayed Alias:";
L["NAME_ALIAS_ADD_ALIAS_BUTTON"] = "Add Name Alias";
L["NAME_ALIAS_DELETE_ALIAS_BUTTON"] = "Remove Name Alias";
L["NAME_ALIAS_RESET_ALIAS_BUTTON"] = "Reset Name Alias Database";
L["NAME_ALIAS_IMPORT_BUTTON_TEXT"] = "Import Name Aliases";
L["NAME_ALIAS_EXPORT_BUTTON_TEXT"] = "Export Name Aliases";
L["NAME_ALIAS_ERROR_WRONG_INPUT"] = "Inserted import data is not valid!";


L["STATISTIC_HEADER_DAMAGE_TITLE"] = "Damage Dealt:"
L["STATISTIC_HEADER_HIGHEST_DAMAGE_TITLE"] = "Highest Damage:"
L["STATISTIC_HEADER_HEALING_TITLE"] = "Healing Done:"
L["STATISTIC_HEADER_KILLING_BLOWS_TITLE"] = "Killing Blows:"
L["STATISTIC_HEADER_TIME_CCD_TITLE"] = "Time In CC:"
L["STATISTIC_HIGHEST_DAMAGE_TEXT_FORMAT"] = "%s\n(%s)"
L["STATISTIC_TIME_CCD_TEXT_FORMAT"] = "%d:%s"
L["STATISTIC_LEAVE_ARENA_BUTTON_TEXT"] = "Leave Arena"
L["STATISTIC_TOGGLE_BUTTON_TEXT"] = "Toggle Statistic"

L["Left"] = "Left";
L["Right"] = "Right";

-- Chat Types:
L["SAY"] = "Say";
L["YELL"] = "Yell";
L["PARTY"] = "Party";
L["GUILD"] = "Guild";
L["OFFICER"] = "Officer";
L["RAID"] = "Raid";
L["RAID_WARNING"] = "Raid Warning";
L["INSTANCE_CHAT"] = "Instance";